1. sarahkent90's Avatar
    I have just started using my Galaxy S2 19100 again - i bought it 4 years ago. I tried downloading an app, whatsapp, and it told me it wasn't compatible with my version of android. So I performed all the updates, and now am running on the new 4.1.2 version.
    When I go to download more apps, or try to run app updates, it is still telling me "your device isn't compatible with this version". Also, I know my other apps have not been updated in over 2 years so I tried updating those as well. Not only can I not find how to update these, when I visit the play store, it's telling me the same prompt "your device isn't compatible with this version"

    Any ideas what I can do?
    04-21-2014 05:15 AM
  2. Kelly Burby's Avatar
    I have just started using my Galaxy S2 19100 again - i bought it 4 years ago. I tried downloading an app, whatsapp, and it told me it wasn't compatible with my version of android. So I performed all the updates, and now am running on the new 4.1.2 version.
    When I go to download more apps, or try to run app updates, it is still telling me "your device isn't compatible with this version". Also, I know my other apps have not been updated in over 2 years so I tried updating those as well. Not only can I not find how to update these, when I visit the play store, it's telling me the same prompt "your device isn't compatible with this version"

    Any ideas what I can do?
    Well, as you have been updated to the 4.1.2 Jellybean your system should have started working fine I think the problem you are facing now is because of having the older version of Google play store, Check you device is having Google play services installed or not if not then I would recommend you to install the same, go to the application manager and search for the Google Play services I am sure you will not find it as you've said that you have switched your phone after two long years !!
    04-21-2014 06:29 AM
  3. sarahkent90's Avatar
    Great thank you!

    How do I download that then, if you don't mind me asking?
    04-21-2014 03:22 PM
  4. sarahkent90's Avatar
    Actually, I have just found out that I do have Google Play services
    04-21-2014 03:27 PM

Similar Threads

  1. Samsung galaxy note 3 n9000t
    By Adrian Suri in forum General Help and How To
    Replies: 3
    Last Post: 04-22-2014, 12:02 PM
  2. Transfer game save to different os
    By Aaron McDowell in forum General Help and How To
    Replies: 4
    Last Post: 04-21-2014, 10:34 PM
  3. Instagram won't allow me to upload videos on new s5.
    By motheroyster in forum Samsung Galaxy S5
    Replies: 1
    Last Post: 04-21-2014, 04:31 PM
  4. Went to the Other Side...for a Minute
    By Aredubu in forum Verizon LG G2
    Replies: 3
    Last Post: 04-21-2014, 09:37 AM
  5. galaxy 3 tablet - yahoo mail problem
    By geoffinscottsdale in forum Samsung Galaxy Tab 2
    Replies: 0
    Last Post: 04-21-2014, 04:51 AM
LINK TO POST COPIED TO CLIPBOARD